FROM openshift/golang-builder:rhel_8_golang_1.15 AS builder
ENV __doozer=update BUILD_RELEASE=202106021513.p0.git.24b3452 BUILD_VERSION=v4.6.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=6 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.6.0-202106021513.p0.git.24b3452 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=24b3452 OS_GIT_VERSION=4.6.0-202106021513.p0.git.24b3452-24b3452 SOURCE_DATE_EPOCH=1614199102 SOURCE_GIT_COMMIT=24b34520a3a110dfc9884100d4f242da878dee35 SOURCE_GIT_TAG=24b34520 SOURCE_GIT_URL=https://github.com/openshift/openshift-state-metrics 
WORKDIR /go/src/github.com/openshift/openshift-state-metrics
COPY . .
RUN make build

FROM openshift/ose-base:v4.6.0.20210602.153339
ENV __doozer=update BUILD_RELEASE=202106021513.p0.git.24b3452 BUILD_VERSION=v4.6.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=6 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.6.0-202106021513.p0.git.24b3452 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=24b3452 OS_GIT_VERSION=4.6.0-202106021513.p0.git.24b3452-24b3452 SOURCE_DATE_EPOCH=1614199102 SOURCE_GIT_COMMIT=24b34520a3a110dfc9884100d4f242da878dee35 SOURCE_GIT_TAG=24b34520 SOURCE_GIT_URL=https://github.com/openshift/openshift-state-metrics 

ARG FROM_DIRECTORY=/go/src/github.com/openshift/openshift-state-metrics
COPY --from=builder ${FROM_DIRECTORY}/openshift-state-metrics  /usr/bin/openshift-state-metrics

USER nobody
ENTRYPOINT ["/usr/bin/openshift-state-metrics"]

LABEL \
        io.k8s.display-name="openshift-state-metrics" \
        io.k8s.description="This is a component that exposes metrics about OpenShift objects." \
        io.openshift.tags="OpenShift" \
        maintainer="Haoran Wang <haowang@redhat.com>" \
        name="openshift/ose-openshift-state-metrics" \
        com.redhat.component="openshift-state-metrics-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Monitoring" \
        release="202106021513.p0.git.24b3452" \
        io.openshift.build.commit.id="24b34520a3a110dfc9884100d4f242da878dee35" \
        io.openshift.build.source-location="https://github.com/openshift/openshift-state-metrics" \
        io.openshift.build.commit.url="https://github.com/openshift/openshift-state-metrics/commit/24b34520a3a110dfc9884100d4f242da878dee35" \
        version="v4.6.0"

